L'outil Unity Tweak ne parvient pas à démarrer avec l'erreur "le schéma com.canonical.unity.webapps est manquant"

65

  

com.canonical.unity.webapps
  Pour fonctionner correctement, Unity Tweak Tool vous recommande d’installer les paquets nécessaires

    
posée Muddassir Nazir 18.04.2014 - 19:29
la source

10 réponses

80

Installez le package unity-webapps-service

    
réponse donnée Florian Diesch 18.04.2014 - 19:49
la source
18

Juste une manière en ligne de commande de répondre à la question de jackyzy823:

mkdir tweak;cd tweak
sudo apt-get download unity-webapps-service
ar xvf *
tar xvf data*
sudo mv usr/share/glib-2.0/schemas/com.canonical.unity.webapps.gschema.xml /usr/share/glib-2.0/schemas/
sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
cd ..; sudo rm -Rf tweak
    
réponse donnée mchid 28.07.2015 - 12:11
la source
14

Une manière délicate pour cela, car je ne veux pas télécharger autant de dépendances pour unity-webapps-service .

extraire le fichier com.canonical.unity.webapps.gschema.xml (vous pouvez le voir dans lien ) dans package unity-webapps-service , placez ce fichier dans /usr/share/glib-2.0/schemas/ et enfin sudo glib-compile-schemas /usr/share/glib-2.0/schemas/ et ça marche.

    
réponse donnée jackyzy823 26.05.2015 - 05:37
la source
10

Solution simple.

Installez simplement les paquets nécessaires.

sudo apt-get install unity-webapps-common
    
réponse donnée Brunno Bettini 01.10.2014 - 16:16
la source
2

Pour ceux qui ont encore besoin d’une solution: le problème se produit si l’on désinstalle les barres de défilement superposées. Pour résoudre le problème, installez à nouveau les barres de défilement superposées (sudo apt-get install overlay-scrollbar) et désactivez-les via l'outil Unity Tweak. (System- & gt; défilement)

    
réponse donnée Marcos Jacoby 08.02.2016 - 08:54
la source
1

Simple et efficace tapez

sudo apt-get install unity-webapps-common unity-webapps-service

dans le terminal

    
réponse donnée cgameing 25.04.2015 - 03:22
la source
1

Je n'ai eu aucun problème à installer le service Webapps et les applications Web communes. Mon problème exact était le paquet

 com.canonical.unity.FileLens

était manquant. J'ai mal interprété la capture d'écran dans cette question, et j'ai passé plus d'une demi-heure à essayer de comprendre pourquoi même si l'unité webapps service et webapps common sont installés, l'outil tweak ne fonctionne pas. Finalement, j'ai découvert que le paquet ci-dessus était manquant au lieu de celui mentionné dans la capture d'écran.

Pour résoudre cette erreur, installez le package unity-lens-files

sudo apt-get install unity-lens-files

C'est ça. Unity Tweak Tool fonctionne maintenant! (enfin!)

    
réponse donnée phoenix 11.10.2016 - 16:37
la source
0

Ceci est pour (zanna / phoenix) qui commente Pour résoudre "com.canonical.unity.FileLens" FAITES CE sudo apt-get installe units-lens-files MERCI

Résoudre "com.canonical.notify.osd" J'ai fait apt-get install notify-lens TRAVAILLE SANS FIL

    
réponse donnée night crawler 04.12.2017 - 05:45
la source
0

Il faut utiliser synaptique. Essayez ceux-ci:

  1. Installez synaptic: "sudo apt-get install synaptic" dans le terminal.
  2. Ouvrez Synaptic depuis le tableau de bord ou depuis le terminal sudo synaptic.
  3. Cliquez sur Filtres personnalisés, puis sur Paquets recommandés manquants.
  4. Sélectionnez tout et cliquez avec le bouton droit pour l’installation
  5. Cliquez sur Appliquer dans la barre d’outils.
réponse donnée H.sboui 04.12.2017 - 06:33
la source
-1

L'installation des Unités Web Unit est impossible car les dépendances sont rompues en raison d'une incompatibilité avec Ubuntu 15.04

    
réponse donnée Bart 04.10.2015 - 05:33
la source

Lire d'autres questions sur les étiquettes